#ifndef _PVFS_MOUNT_H
#define _PVFS_MOUNT_H

/*
 * copyright (c) 1999 Rob Ross and Phil Carns, all rights reserved.
 *
 * Written by Rob Ross and Phil Carns.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License,
 * or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Contact:  Rob Ross    rbross@parl.clemson.edu
 *           Phil Carns  pcarns@parl.clemson.edu
 */

#include <linux/types.h>

#ifndef __KERNEL__
#include <netinet/in.h>
#endif

/* data structures */

enum {
	PVFS_MGRLEN = 1024,
	PVFS_DIRLEN = 1024
};

/* pvfs_mount - pvfs-specific data passed in during mount process */
struct pvfs_mount {
	uint32_t info_magic;
	uint32_t flags;
	uint16_t port;
	char mgr[PVFS_MGRLEN];
	char dir[PVFS_DIRLEN];
};

#define MTAB "/etc/mtab"
#define TMP_MTAB "/etc/mtab.pvfs"

#endif
